Returns the sarprop temperature

- « fann_get_sarprop_step_error_threshold_factor

- fann_get_sarprop_weight_decay_shift »

- PHP Manual
- Fann Functions
- Returns the sarprop temperature

# fann_get_sarprop_temperature

(PECL fann >= 1.0.0)

fann_get_sarprop_temperature — Returns the sarprop temperature

### Description

fann_get_sarprop_temperature(resource `$ann`): float

Returns the sarprop temperature.

The default temperature is 0.015.

### Parameters

`ann`

  Neural network resource.

### Return Values

The sarprop temperature, or `false` on error.

### Notes

> Note:

> This function is only available if the fann extension has been build against libfann >= 2.2.

### See Also

- fann_set_sarprop_temperature() - Sets the sarprop temperature